a{text-decoration: none;}
ul,ol,nav{ list-style: none;}
input {border: none; outline: none;}
button,input[type="submit"]{cursor:pointer}
button{outline: none; border: none}
body,html{font-family: 'Montserrat', sans-serif; background: #fff;min-width: 1200px;}

:root
{
    --color-white: #fff;
    --color-white-opacity: rgba(255,255,255,.4);
    --color-grey-light: #d8d8d8;
    --color-theme-blue: #18cfab;
    --color-theme-blue-opacity: rgba(24, 207, 171,.2);
    --color-theme-sky-blue: #00CBF6;
    --font-default: 14px;
    --color-text-slider: #ddd;
}


.container
{
    max-width: 1160px;
    margin-left: auto;
    margin-right: auto;
}


/* section title */
.section-title
{
    /* 36px */
    font-size: calc(var(--font-default) * 2.5715);
    color: #4E4E4E;
    text-transform: capitalize;
    text-align: center;
}
.section-title::after
{
    content: '';
    display: block;
    margin-top: 25px;
    margin-right: auto;
    margin-left: auto;
    width: 80px;
    height: 2px;
    background: var(--color-theme-blue);
    box-shadow: 12px 4px var(--color-theme-blue);
}

/* цвет текста */
.colored-text
{
    color: var(--color-theme-blue);
}
.text-white
{
    color: var(--color-white)
}

/* кнопки */
.btn
{
    width: 170px;
    height: 65px;
    color: var(--color-white);
    /* 15px */
    font-size: calc(var(--font-default) * 1.0715);
    text-transform: uppercase;
    font-weight: 700;
    background: var(--color-white);
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 10px;
    margin-left: 10px;
}

.btn-shadow
{
    box-shadow: 0 -5px var(--color-white);
}

/* иконка + */
.btn-plus-icon
{
    justify-content: flex-start;
}
.btn-plus-icon::before
{
    content: '+';
    font-size: calc(var(--font-default) * 2.1429);
    font-weight: 700;
    padding-left: 20px;
    padding-right: 15px;
}

.btn-blue
{
    background: var(--color-theme-blue);
}
.btn-sky-blue
{
    background: var(--color-theme-sky-blue);
}
.button-block
{
    display: flex;
    justify-content: center;
}

    /* скрытые radio */
/* .tab-button,
.filter-button
{
    display: none;
} */



/* сам контейнер меню */
/* header */
.top-menu
{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    /* перебиваем остальные z-index, чтобы быть выше */
    z-index: 3;
}
/* затемнение */
.top-menu::before
{
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1;
    background-color: #5E5D58;
    opacity: .6;
}

.top-menu-container
{
    display: flex;
    justify-content: space-between;
    color: var(--color-white);
    position: relative;
    z-index: 2;
}

.logo-link
{
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--color-white);
}

.logo-image
{
    height: 70px;
    width: 60px;
    background: var(--color-theme-blue);
    display: flex;
    justify-content: center;
    align-items: center;
    clip-path:  polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
    margin-right: 6px;
}
.logo-litera
{
    /* 40px */
    font-size: calc(var(--font-default) * 2.8572);
    font-weight: 700;
    color: var(--color-white);
    text-transform: uppercase;
}
.logo-text
{
    /* 32px */
    font-size: calc(var(--font-default) * 2.2858);
    font-weight: 300;
    letter-spacing: 2px;
    color: var(--color-white);
}
.logo-text-color
{
    font-weight: 700;
}

.top-menu-block
{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.top-menu-list
{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    /* на случай, если кто херанет более одного ряда */
    max-width: 600px;
}
.top-menu-list li
{
    margin-right: 21px;
    border-bottom: 2px solid transparent;
    padding-top: 50px;
    padding-bottom: 50px;
}
.top-menu-list a
{
    text-transform: uppercase;
    /* 16px */
    font-size: calc(var(--font-default) * 1.1429);
    font-weight: 700;
}
.top-menu-list a, .search-icon path
{
    color: var( --color-white-opacity);
}
.top-menu-list li:hover a
{
    color: var(--color-theme-blue);
}
.top-menu-list li:hover
{
    border-bottom: 2px solid var(--color-theme-blue);
}

/* section 1 - название темы в 1м блоке */
.wp-theme
{
    background: #000 url(../img/sections_background/section1.jpg) no-repeat center center;
    background-size: cover;
    position: relative;
}
/* высветление картинки */
.wp-theme::before
{
    content:'';
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    position: absolute;
    background: var(--color-white);
    opacity: .2;
    z-index: 1;
}
.theme-header-block
{
    text-align: center;
    padding-top: 380px;
    padding-bottom: 245px;
    color: var(--color-white);
    position: relative;
    z-index: 2;
}
.theme-sub-title
{
    /* 35px */
    font-size: calc(var(--font-default) * 2.5);
    text-transform: uppercase;
    font-weight: 700;
}
.theme-title
{
    /* 78px */
    font-size: calc(var(--font-default) * 5.5715);
    text-transform: uppercase;
    font-weight: 700;
    margin-top: 22px;
    margin-bottom: 22px;
}
.theme-text
{
    /* 34px */
    font-size: calc(var(--font-default) * 2.4286);
    text-transform: capitalize;
    font-weight: 200;
    letter-spacing: 1px;
    color: #D4D4D4;
    margin-bottom: 135px;
}


/* section 2 - theme options */
.theme-options
{
    display: flex;
    justify-content: center;
    margin-top: 10px;
}
.theme-option
{
    width: calc(100% / 4);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    color: var(--color-theme-blue);
    background: #1C2A33;
    /* 20px */
    font-size: calc(var(--font-default) * 1.4286);
    text-transform: uppercase;
    font-weight: 700;
    padding-top: 100px;
    padding-bottom: 100px;
}
.theme-option:nth-child(even)
{
    color: var(--color-white);
    background: var(--color-theme-blue);
}
.theme-option-text
{
    margin-top: 50px;
}

/* section 3 - theme services */
.theme-services
{
    padding-top: 90px;
    padding-bottom: 90px;
}
.theme-services-tab-block
{
    margin-top: 70px;
}
.theme-services-tab-buttons
{
    display: flex;
    justify-content: center;
}

.tab-label,/*old*/
.tab-btn
{
    text-align: center;
    padding: 17px 35px;
    /* выравниваем блоки по ширине контейнера */
    flex-grow: 1;
    box-sizing: border-box;
    border: 1px solid #EDEFEF;
    position: relative;
    /* 16 px */
    font-size: calc(var(--font-default) * 1.1429);
    text-transform: capitalize;
    color: #717171;
    margin-bottom: 25px;
}
.tab-label:not(:first-of-type),/*old*/
.tab-btn:not(:first-of-type)
{
    border-left-color: transparent;
}

.tab-label::after,/*old*/
.tab-btn::after
{
    content: '';
    position: absolute;
    width: 27px;
    height: 15px;
    top: 100%;
    left: 55%;
    transform:translateX(-100%);
    clip-path: polygon(50% 100%, 0 0, 100% 0);
    background: var(--color-theme-blue);
    display: none;
}

.tab-label:hover,/*old*/
.tab-btn:hover
{
    border: 1px solid var(--color-theme-blue);
    cursor: pointer;
}
.tab-button:checked + .tab-label, /*old*/
.tab-btn.tab-active
{
    color: var(--color-white);
    background: var(--color-theme-blue);
    border-color: var(--color-theme-blue);
}
.tab-button:checked + .tab-label::after, /*old*/
.tab-active.tab-btn::after
{
    display: block;
}

.tab-block, 
.tab-content-block
{
    display: flex;
    align-items: flex-start;
    height: 140px;
}

/* for variant 1 - CSS only */
.tab-block:not(:nth-of-type(1))
{
    display: none;
}
.tab-content-block
{
    display: none;
}
.tab-content-block.tab-active-block
{
    display: flex;
}
.tab-image
{
    width: 192px;
    height: 139px;
    margin-right: 15px;
}
.tab-text
{
    color: #a79f9f;
    font-size: var(--font-default);
    line-height: calc(var(--font-default) * 1.7143);
    overflow-y: auto;
    height: 100%;
}


/* section 4 - install now */
.install-now
{
    background: #000 url(../img/sections_background/section2.jpg) no-repeat center center;
    background-size: cover;
    padding-top: 130px;
    padding-bottom: 130px;
    position: relative;

}
.install-now::before
{
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    background: rgba(0,0,0,.8);
    z-index: 1;
}
.install-now-inner
{
    position: relative;
    z-index: 2;
    text-align: center;
}
.install-now-title
{
    /* 40px */
    font-size: calc(var(--font-default) * 2.8572);
    font-weight: 700;
    text-transform: uppercase;
}
.install-now-text
{
    /* 16px */
    font-size: calc(var(--font-default) * 1.1429);
    color: #d8d8d8;
    margin: 15px 0 65px;
}


/* section 5 - amazing work */
.amazing-work,
.breaking-news
{
    padding-top: 90px;
    padding-bottom: 90px;
}
.amazing-work
{
    background: #E9EDEF;
}

    /* filter block */
.filter-block-wrapper
{
    margin-top: 70px;
}
.filter-button-block
{
    display: flex;
    justify-content: center;
}
.filter-block
{
    margin-top: 70px;
    margin-bottom: 70px;
}
.filter-label, /*old*/
.filter-btn
{
    min-width: 80px;
    padding: 15px;
    text-align: center;
    font-size: var(--font-default);
    color: #717171;
    text-transform: capitalize;
    border: 1px solid #dadada;
    cursor: pointer;
}
.filter-label:not(:first-of-type), /*old*/
.filter-btn:not(:first-of-type)
{
    border-left-color: transparent;
}
.filter-button:checked + .filter-label,
.filter-btn.filter-active
{
    border-color: var(--color-theme-blue);
    color: var(--color-theme-blue);
}

.filter-block
{
    display: flex;
    flex-wrap: wrap;
}
.filter-block-elem
{
    width: calc(100% / 4);
    height: 215px;
    object-fit: cover;
    cursor: pointer;
}
.filter-block-elem:hover .filter-block-elem-image
{
    display: none;
}
.filter-block-elem:hover .filter-block-elem-info
{
    display: block;
}

        /* filter image div */
.filter-block-elem-image
{
    width: 100%;
    height: 100%;
    object-fit: cover;
}


        /* filter info div */
.filter-block-elem-info
{
    border-top: 2px solid var(--color-theme-blue);
    padding-top: 40px;
    padding-bottom: 40px;
    text-align: center;
    display: none;
}
.elem-info-links
{
    display: flex;
    justify-content: center;
}
.elem-info-link
{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 45px;
    height: 45px;
    border: 1px solid var(--color-theme-blue);
    border-radius: 50%;
}
.elem-info-link:not(:first-of-type)
{
    margin-left: 3px;
}

.elem-info-link svg path,
.elem-info-link svg rect
{
    fill: var(--color-theme-blue);
}
.elem-info-link:hover
{
    background: var(--color-theme-blue);
}
.elem-info-link:hover svg path,
.elem-info-link:hover svg rect
{
    fill: var(--color-white);
}

.elem-info-title
{
    margin-top: 30px;
    margin-bottom: 10px;
    font-size: var(--font-default);
    font-weight: 700;
    color: var(--color-theme-blue);
    text-transform: uppercase;
}

.elem-info-category
{
    /* 12px */
    font-size: calc(var(--font-default) * 0.8572);
    font-weight: 300;
    color: #8A8A8A;
    text-transform: capitalize;
}


/* section 6 - breaking news */

.breaking-news-posts
{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-top: 70px;
}
    
    /* posts classes */

.breaking-news-elem
{
    width: calc(100% / 4 - (35px * 3 / 4));
}
.breaking-news-link
{
    position: relative;
    text-align: center;
    display: block;
    margin-bottom: 45px;
}
.breaking-news-link:hover .post-title
{
    color: var(--color-theme-blue);
}
.breaking-news-link:hover .post-date
{
    background: var(--color-theme-blue);
}

.post-image
{
    width: 100%;
    height: 208px;
    object-fit: cover;
}
.post-title
{
    margin-top: 10px;
    margin-bottom: 10px;
    font-size: calc(var(--font-default) * 1.2858);
    color: #717171;
    font-weight: 700;
    text-transform: capitalize;
}

.post-credentials-item
{
    display: inline-block;
    color: #777;
    font-size: var(--font-default);
    font-weight: 300;
}
.post-credentials-item:nth-of-type(odd)::after
{
    content: '|';
    margin-left: 5px;
    margin-right: 5px;
}

.post-date
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0;
    right: 0;
    width: 70px;
    height: 65px;
    background: #203E38;    
}
.post-date-date,
.post-date-month
{
     /* 16px */
    font-size: calc(var(--font-default) * 1.1429);
    color: var(--color-white);
}
.post-date-month
{
    margin-top: 10px;
    text-transform: capitalize;
}




/* section 7 - what people say */
.review-section
{
    background: url(../img/sections_background/section3.jpg) no-repeat center center;
    /* background-size: cover; */
    padding-top: 100px;
    padding-bottom: 55px;
    position: relative;
}
.review-section::before
{
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    background: rgba(0,0,0,.3);
    z-index: 1;
}

.review-container
{
    position: relative;
    z-index: 2;
}

.review-slider__slide
{
    text-align: center;
    padding-top: 70px;
    padding-bottom: 45px;
    /* если вдруг slider__wrapper сделаю flex */
    /* min-width: 0; */
}

    /* slider texts */
.review-slider__text
{
    /* 16px */
    font-size: calc(var(--font-default) * 1.1429);
    /* 30px */
    line-height: calc(var(--font-default) * 2.1429);
    /* text-align: center; */
    font-weight: 300;
    color: var(--color-text-slider);
}
.review-slider__text::before
{
    content: '';
    display: block;
    width: 47px;
    height: 33px;
    margin-bottom: 35px;
    margin-left:auto;
    margin-right:auto;
    background: url('../img/svg/quotes.svg') no-repeat center;
}

.review-slider__author
{
    margin-top: 40px;
    margin-bottom: 40px;
}
.author-name
{
    font-size: calc(var(--font-default) * 1.1429);
    font-weight: 700;
    text-transform: uppercase;
    color: var(--color-theme-blue);
    margin-bottom: 15px;
}
.author-position
{
    font-size: calc(var(--font-default) * 0.9286);
    font-weight: 300;
    color: var(--color-text-slider);
}


/* slider img */
.review-slider__image
{
    text-align: center;
}
.review-slider__image img
{
    /* max-width: 100%; */
    border-radius: 100%;
    width: 143px;
    height: 143px;
    box-shadow: 0 0 0 10px var(--color-theme-blue-opacity);
}


/* кнопки переключения */
.review-slider .slider-button-prev,
.review-slider .slider-button-next
{
    content: '';
    display: flex;
    justify-content: center;
    padding: 8px 10px;
    position: absolute;
    color: var(--color-white);
    border: 1px solid var(--color-text-slider);
    /* top: calc(50% - 31px / 2); */
    bottom: 50px;
    z-index: 10;
    cursor: pointer;
}

.slider-button-prev svg path,
.slider-button-next svg path
{
    fill: var(--color-text-slider);
}

.slider-button-prev:hover,
.slider-button-next:hover
{
    background: var(--color-theme-blue);
    border-color: var(--color-theme-blue);
}
.slider-button-prev:hover svg path,
.slider-button-next:hover svg path
{
    fill: var(--color-white);
}

.review-slider .slider-button-prev
{
     /* наверно костыль, ноя по другому не придумал */
    left: 280px;
}

.review-slider .slider-button-next
{
    /* наверно костыль, ноя по другому не придумал */
    right: 280px;
}

/* slider bullets */
.review-slider .swiper-pagination
{
    /* bottom: 0; */
    width: 100%;
    height: 100px;
    position: relative;
}
.review-slider .swiper-pagination-bullet
{
    width: 100px;
    /* height: 70px; */
    line-height: 70px;

    /* отменяем стандартные настройки */
    background-color: transparent;
    opacity: 1;
    transform: scale(1);
    top: 10px;
}

.review-slider .swiper-pagination-bullet-active
{
    transform: translateY(-10px);
}
.bullet-img__small
{
    vertical-align: middle;
    width: 58px;
    height: 58px;
    border-radius: 100%;
    box-shadow: 0 0 0 5px var(--color-theme-blue-opacity);
}


/* footer */
footer
{
    background: #22353F;
    color: #AEAEAE;
    font-weight: 300;
    text-align: center;
    padding-top: 50px;
    padding-bottom: 50px;
    font-size: var(--font-default);
    letter-spacing: 1px;
}


/* preloader */
.preloader-bg
{
    position: fixed;
    z-index: 999;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    transition: 2s; 
    display: none;
    justify-content: center;
    align-items: center;
}
.preloader-bg::before
{
    content: '';
    position: absolute;
    z-index: 1;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    background: #000;
    opacity: .7;
}
.preloader-block
{
    position: relative;
    width: 100px;
    height: 100px;
    z-index: 2;
}
.preloader-xy,
.preloader-xz
{
    position: absolute;
    z-index: 20000;
}
.preloader-xy
{
    border: 4px solid var(--color-theme-blue);
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    border-radius: 50%;
    animation: preloaderXY 2s linear infinite;
}
.preloader-xz
{
    display: flex;
    justify-content: center;
    align-items: center;
   
    top: 10px;
    bottom: 10px;
    right: 10px;
    left: 10px;
   
    clip-path:  polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
    background: var(--color-theme-blue);

    animation: preloaderXZ 1s linear infinite;
}

.preloader-xz::before
{
    content: 'h';
    /* 30px */
    font-size: calc(var(--font-default) * 2.1429);
    font-weight: 700;
    color: var(--color-white);
    text-transform: uppercase;
}

@keyframes preloaderXY {
    0% {transform: rotateZ(0deg); border-left-color: var(--color-white);}
    25% {transform: rotateZ(180deg); border-left-color: var(--color-white); border-top-color: var(--color-white);}
    50% {transform: rotateZ(360deg); border-left-color: var(--color-white); border-top-color: var(--color-white); border-right-color: var(--color-white);}
    75% {transform: rotateZ(540deg); border-color: var(--color-white);}
    100% {transform: rotateZ(720deg); border-color: var(--color-theme-blue);}
}

@keyframes preloaderXZ {
    0% {transform: rotateX(0deg) scale(1,1);}
    50% {background: var(--color-theme-sky-blue); transform: rotateX(360deg) scale(0.6, 0.6) ;}
    100% {background: var(--color-theme-blue); transform: rotateX(720deg) scale(1, 1);}
}